Bug 127299 - libnss_wins.so core dump when eth0 is down
libnss_wins.so core dump when eth0 is down
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 03:48 EDT by Francois-Xavier 'FiX' KOWALSKI
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francois-Xavier 'FiX' KOWALSKI 2004-07-06 03:48:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040619

Description of problem:
When:

1. The "wins" host lookup method is activated in /etc/nsswitch.conf,
2. The Ethernet interface eth0 (I have a single one on my laptop) is
down (e.g. after a suspend/resume, the iface not always come up)
3. I run any command that requires a gethostbyname(3) or
gethostbyaddr(3) (Name Service Switcher), the process core-dumps..



Version-Release number of selected component (if applicable):
samba-common-3.0.4-1.FC1

How reproducible:
Always

Steps to Reproduce:
Following backtrace is given for a ping, but any other leads to the
same result.

[root@tiffany root]# file core.24047 
core.24047: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV),
SVR4-style, SVR4-style, from 'ping'

(gdb) bt
#0  0x004f2006 in free () from /lib/tls/libc.so.6
#1  0x00cfc5b1 in _nss_wins_gethostbyname_r () from /lib/libnss_wins.so.2
#2  0xbff89200 in ?? ()
#3  0x00000004 in ?? ()
#4  0xbffa34d5 in ?? ()
#5  0x000000ff in ?? ()
#6  0x08282554 in ?? ()
#7  0x0047f508 in ?? () from /lib/ld-linux.so.2
#8  0x08282ee0 in ?? ()
#9  0x001117ef in ?? () from /lib/libnss_dns.so.2
#10 0xbff8915c in ?? ()
#11 0x0047260f in _dl_lookup_versioned_symbol_internal () from
/lib/ld-linux.so.2
Previous frame inner to this frame (corrupt stack?)
(gdb) 


(Re)starting the Ethernet interface (ifup eth0) fixes the problem.

Kernel version is 2.4.22-1.2179.nptl.  Problem occurs also with later
FC1 kernels (88 & 94) but I cannot use them because my APM laptop
locks-up solid after a few minutes... but this is another story.

1. ifdown eth0
2. ping
3.
    

Actual Results:  core-dump.  Following backtrace is given for a ping,
but any other leads to the same result.

[root@tiffany root]# file core.24047 
core.24047: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV),
SVR4-style, SVR4-style, from 'ping'

(gdb) bt
#0  0x004f2006 in free () from /lib/tls/libc.so.6
#1  0x00cfc5b1 in _nss_wins_gethostbyname_r () from /lib/libnss_wins.so.2
#2  0xbff89200 in ?? ()
#3  0x00000004 in ?? ()
#4  0xbffa34d5 in ?? ()
#5  0x000000ff in ?? ()
#6  0x08282554 in ?? ()
#7  0x0047f508 in ?? () from /lib/ld-linux.so.2
#8  0x08282ee0 in ?? ()
#9  0x001117ef in ?? () from /lib/libnss_dns.so.2
#10 0xbff8915c in ?? ()
#11 0x0047260f in _dl_lookup_versioned_symbol_internal () from
/lib/ld-linux.so.2
Previous frame inner to this frame (corrupt stack?)
(gdb) 


(Re)starting the Ethernet interface (ifup eth0) fixes the problem.



Expected Results:  ping should ping...

Additional info:

Kernel version is 2.4.22-1.2179.nptl (I do not know if this is
useful).  Problem occurs also with later FC1 kernels (88 & 94) but I
cannot use them because my APM laptop locks-up solid after a few
minutes... but this is another story.

Of course, leaving my system alone for a while with eth0 down leads to
file-system full (or core-dumps) after a while.
Comment 1 Matthew Miller 2006-07-11 13:48:46 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 13:18:55 EDT
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Many
changes have occurred since these older releases.  Please install a supported
version of Fedora Core and retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.